import { type ComponentProps } from 'react'

import { Label as RadixLabel } from 'radix-ui'

import { type RootStylesProps, rootStyles } from './Label.styles'

type LabelProps = ComponentProps<typeof RadixLabel.Root> & RootStylesProps

function Label({ size, className, ...props }: LabelProps) {
	return (
		<RadixLabel.Root
			className={rootStyles({ size, className })}
			{...props}
		/>
	)
}

export { Label }
